কী-এর ওভারভিউ
| কী-এর সংস্করণ | V4 |
|---|---|
| স্পেসিফিকেশন | RFC 2440 · RFC 4880 · RFC 9580 |
| অবস্থা | সামঞ্জস্যপূর্ণ, তবে RFC 9580 এটিকে অবচিত করেছে |
| প্রাথমিক কী (প্রত্যয়ন, স্বাক্ষর) | Ed448 · RFC 9580 · ID 28 |
| এনক্রিপশন সাবকী | X448 · RFC 9580 · ID 26 |
| ফিঙ্গারপ্রিন্ট | 7AF21F1EE4385D42FE2ED44CDF867036C59D7117 |
| ব্যক্তিগত কী-এর পাসফ্রেজ | synthetic-key-password |
অ্যালগরিদম ও ব্যবহার
Ed448: Curve448‑এর ওপর এডওয়ার্ডস কার্ভ স্বাক্ষর, Ed25519‑এর চেয়ে বেশি নিরাপত্তা স্তরসহ (প্রায় 224 বিট)। বেশি নিরাপত্তা ব্যবধান চাইলে সাইনিংয়ে ব্যবহার করুন।
X448: Curve448‑এর ওপর কী সমঝোতা, Ed448‑এর এনক্রিপশন সমতুল্য। এর নিরাপত্তা স্তর এই অ্যালগরিদমের চেয়ে বেশি: X25519.
পাবলিক কী
প্রাথমিক কী, এনক্রিপশন সাবকী ও তাদের বাইন্ডিং স্বাক্ষরসহ পাবলিক সার্টিফিকেট। স্বাক্ষর যাচাই বা এই পরীক্ষামূলক পরিচয়ের জন্য এনক্রিপ্ট করতে ইমপোর্ট করুন।
ডাউনলোড → 778 বাইট
-----BEGIN PGP PUBLIC KEY BLOCK-----
xj8EaveKoxxvIVymT7kLEQi0ZR8cs4p9Xs8ai1ZcoNAWuUaODlWfQAVPNvCsd+Qi
igTZV+d2Bw/4wv/65ipRzgDNHENILUogbWF0cml4IDQwLXY0LWVkNDQ4K3g0NDjC
ugQTHA4ANAUCaveKoxYhBHryHx7kOF1C/i7UTN+GcDbFnXEXAhsDAh4BAwsJBwEV
ARYFJwkCBwICGQEACgkQ34ZwNsWdcRc3r3hVvwXTD+Z5WpykVROCjVPO+vrE6ISa
EbhRgnWf2CFqx1zKbxSOqzlCHilSz2yBdfwvzxZC0y1UgAMuSvTc/1/BdTrYJI6K
1IhqRQqz1Emm78hFcnkCetXD0Zzj0EjnzxhnY3ch+Lu4LfV1Er44A5E7AM4+BGr3
iqMaUhHWq39TxDpJlX7DJOwtkT5UCV8or9nTp+KFy+6U6mL87f1GTCw8wxjqZ/Hh
qqnWZClJJ0yJiKDCpgQYHA4AIAUCaveKoxYhBHryHx7kOF1C/i7UTN+GcDbFnXEX
AhsMAAoJEN+GcDbFnXEXFV11Ss3IHnmbretqvzCPO9X6TW418HPNc84gynru3mrO
iTOMavO9O6Ja2KGkQXqj19XOLQZgzfwxSwC2IpGMDtkJZMi+tbaSohX+Ysd0yKta
/u7uFXp7/Ch7lDA2i/B7X5b67O+5zW0GNKBgrYAGmeUQMgA=
=fK4c
-----END PGP PUBLIC KEY BLOCK-----
ব্যক্তিগত কী
ওপরে দেখানো পাসফ্রেজ দিয়ে সুরক্ষিত ব্যক্তিগত কী। শুধু পরীক্ষার জন্য প্রকাশিত: যে কেউ ব্যবহার করতে পারে।
ডাউনলোড → 1 065 বাইট
দেখান
-----BEGIN PGP PRIVATE KEY BLOCK-----
xakEaveKoxxvIVymT7kLEQi0ZR8cs4p9Xs8ai1ZcoNAWuUaODlWfQAVPNvCsd+Qi
igTZV+d2Bw/4wv/65ipRzgD+CQMI2GQEPXVExengk4jzmQVDSUyGsHeqqFet751b
sMo0py+2hjECt37AR8rtzSqK0UtrNFPTOf72TkOpDvTtbVNzHnl14Ej3MqWT8pfB
KCD0BIraLrRzd+d/iqh2PnaWLY8qjk0Vj28pzRxDSC1KIG1hdHJpeCA0MC12NC1l
ZDQ0OCt4NDQ4wroEExwOADQFAmr3iqMWIQR68h8e5DhdQv4u1EzfhnA2xZ1xFwIb
AwIeAQMLCQcBFQEWBScJAgcCAhkBAAoJEN+GcDbFnXEXN694Vb8F0w/meVqcpFUT
go1Tzvr6xOiEmhG4UYJ1n9ghasdcym8Ujqs5Qh4pUs9sgXX8L88WQtMtVIADLkr0
3P9fwXU62CSOitSIakUKs9RJpu/IRXJ5AnrVw9Gc49BI588YZ2N3Ifi7uC31dRK+
OAOROwDHpwRq94qjGlIR1qt/U8Q6SZV+wyTsLZE+VAlfKK/Z06fihcvulOpi/O39
RkwsPMMY6mfx4aqp1mQpSSdMiYig/gkDCNEvB6UiTyaI4OKPPvs+H+C+GVAylsi3
tAizXAPBQzxiIpmqlkQiZ4vxiQLZrdVZNSuNhO2CAwBFfN1UG6Lo61eFXMjdYs4B
9cNpjqHWbmB8J1Jfhve/bIhuKLoG8zdEr6AtstK7wqYEGBwOACAFAmr3iqMWIQR6
8h8e5DhdQv4u1EzfhnA2xZ1xFwIbDAAKCRDfhnA2xZ1xFxVddUrNyB55m63rar8w
jzvV+k1uNfBzzXPOIMp67t5qzokzjGrzvTuiWtihpEF6o9fVzi0GYM38MUsAtiKR
jA7ZCWTIvrW2kqIV/mLHdMirWv7u7hV6e/woe5QwNovwe1+W+uzvuc1tBjSgYK2A
BpnlEDIA
=tN+n
-----END PGP PRIVATE KEY BLOCK-----
প্রত্যাহার সার্টিফিকেট
আগে থেকে তৈরি প্রত্যাহার সার্টিফিকেট। ইমপোর্ট করলে কী-টি প্রত্যাহৃত হিসেবে চিহ্নিত হয়; প্রত্যাহৃত কী সফটওয়্যার কীভাবে পরিচালনা করে তা পরীক্ষার জন্য প্রকাশিত।
ডাউনলোড → 1 002 বাইট
দেখান
-----BEGIN PGP PUBLIC KEY BLOCK-----
xj8EaveKoxxvIVymT7kLEQi0ZR8cs4p9Xs8ai1ZcoNAWuUaODlWfQAVPNvCsd+Qi
igTZV+d2Bw/4wv/65ipRzgDCowQgHA4AHQUCaveKoxYhBHryHx7kOF1C/i7UTN+G
cDbFnXEXAAoJEN+GcDbFnXEXhyu6uiJmBGLK8EPv4pxK+4PzxOxEcmNvCGZ4llGP
ZhK1yQd3Q8yMNJb0Jqt9hnpGr/GfclxrGnw4b4AM0uFo/pA3hHIRHj99N+RqpJZz
TXIyp4ARNEllBwBG+/D7JbYwF7hO1NQ1rlonOiVXegOQ/x7nDQDNHENILUogbWF0
cml4IDQwLXY0LWVkNDQ4K3g0NDjCugQTHA4ANAUCaveKoxYhBHryHx7kOF1C/i7U
TN+GcDbFnXEXAhsDAh4BAwsJBwEVARYFJwkCBwICGQEACgkQ34ZwNsWdcRc3r3hV
vwXTD+Z5WpykVROCjVPO+vrE6ISaEbhRgnWf2CFqx1zKbxSOqzlCHilSz2yBdfwv
zxZC0y1UgAMuSvTc/1/BdTrYJI6K1IhqRQqz1Emm78hFcnkCetXD0Zzj0Ejnzxhn
Y3ch+Lu4LfV1Er44A5E7AM4+BGr3iqMaUhHWq39TxDpJlX7DJOwtkT5UCV8or9nT
p+KFy+6U6mL87f1GTCw8wxjqZ/HhqqnWZClJJ0yJiKDCpgQYHA4AIAUCaveKoxYh
BHryHx7kOF1C/i7UTN+GcDbFnXEXAhsMAAoJEN+GcDbFnXEXFV11Ss3IHnmbretq
vzCPO9X6TW418HPNc84gynru3mrOiTOMavO9O6Ja2KGkQXqj19XOLQZgzfwxSwC2
IpGMDtkJZMi+tbaSohX+Ysd0yKta/u7uFXp7/Ch7lDA2i/B7X5b67O+5zW0GNKBg
rYAGmeUQMgA=
=ltkx
-----END PGP PUBLIC KEY BLOCK-----
test_1MB.bin‑এর স্বাক্ষর
CH-J Tools‑এ এই কী দিয়ে তৈরি test_1MB.bin‑এর বিচ্ছিন্ন ASCII-armored স্বাক্ষর। পরীক্ষামূলক ফাইলের পাশে test_1MB.bin.asc নামে সংরক্ষণ করুন।
ডাউনলোড → 289 বাইট
-----BEGIN PGP SIGNATURE-----
wqMEABwOAB0WIQR68h8e5DhdQv4u1EzfhnA2xZ1xFwUCaveO9gAKCRDfhnA2xZ1x
FwjP4rZE8Eh99cw2201KqjT/jTGRQ6g7fwjM+w9AGcVkMBcqHma+FIgPIICS+pHj
JiVQIDU+eXdtwTuA1TK+YCnEvnkuQkSCMk65Nn4LGS9PDrujz8Ga43w8I0qsiigK
diANEKM3EmsGqggbCQAeNEyTlg4A
=iTTG
-----END PGP SIGNATURE-----
স্বাক্ষর যাচাই করুন
সংস্করণ 4 কী GnuPG এবং sqop বা rsop‑এর মতো SOP টুলে কাজ করে, অ্যালগরিদমের সমর্থন অনুযায়ী। অস্থায়ী GNUPGHOME ব্যবহার করুন, যাতে পরীক্ষামূলক কী আসল কীরিংয়ে না যায়:
gpg --import pgp-example-40-public.asc
gpg --verify test_1MB.bin.asc test_1MB.bin